Coverage Demands
Alle Operationen rund um Coverage Demands.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Coverage Demand | coverage_demand |
14 | — | coverage_demand_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/coverage_demands |
Create coverage_demand | Create a new coverage_demand in the active tenant. |
DELETE |
/v1/coverage_demands/{id} |
Delete coverage_demand | Soft delete entity. |
GET |
/v1/coverage_demands/{id} |
Get coverage_demand by id | Fetch a single coverage_demand. |
GET |
/v1/coverage_demands/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/coverage_demands/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/coverage_demands/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/coverage_demands |
List coverage_demands | List coverage_demands for the active tenant. |
PATCH |
/v1/coverage_demands/{id} |
Patch coverage_demand | JSON Merge Patch update. |
POST |
/v1/coverage_demands/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/coverage_demands/{id}/transition |
POST /v1/coverage_demands/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/coverage_demands/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/coverage_demands/{id} |
Replace coverage_demand | Full replace with optimistic locking. |